# ristrtxreceive

This element translates RIST RTX packets into its original form with the GST_RTP_BUFFER_FLAG_RETRANSMISSION flag set. This element is intented to be used by ristsrc element.

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──ristrtxreceive

## Factory details

Authors: – Nicolas Dufresne

Classification: – `Codec`

Rank – none

Plugin – rist

Package – GStreamer Bad Plug-ins

## Pad Templates

### `sink`

    application/x-rtp:

Presence – always

Direction – sink

Object type – GstPad

### `src`

    application/x-rtp:

Presence – always

Direction – src

Object type – GstPad

## Properties

### num-rtx-packets

    “num-rtx-packets” guint

Number of retransmission packets received

Flags : Read

Default value : 0

### num-rtx-requests

    “num-rtx-requests” guint

Number of retransmission events received

Flags : Read

Default value : 0

The results of the search are